%global theme_name    Zukitre
%global shell_name    ZukiShell
%global deviantart_id 490751685
%global author        lassekongo83
%global tag           d846if9

Name:           zukitre
Version:        20150313
Release:        2%{?dist}
Summary:        Themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4
Group:          User Interface/Desktops

License:        GPLv3
URL:            http://%{author}.deviantart.com/art/%{theme_name}-%{deviantart_id}
Source0:        http://www.deviantart.com/download/%{deviantart_id}/%{name}_by_%{author}-%{tag}.zip
Patch0:         firefox_tooltip.patch

BuildArch:      noarch

%description
The %{theme_name} themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4, 
created by %{author}.


%package common
Summary:        Files common to %{theme_name} themes
Group:          User Interface/Desktops

%description common
Files which are common to all %{theme_name} themes.


%package gtk2-theme
Summary:        %{theme_name} GTK+2 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, gtk-murrine-engine >= 0.98.1.1, gtk2-engines

%description gtk2-theme
Themes for GTK+2 as part of the %{theme_name} theme.


%package gtk3-theme
Summary:        %{theme_name} GTK+3 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}

%description gtk3-theme
Themes for GTK+3 as part of the %{theme_name} theme.


%package metacity-theme
Summary:        %{theme_name} Metacity themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, metacity

%description metacity-theme
Themes for Metacity as part of the %{theme_name} theme.


%package -n gnome-shell-theme-%{name}
Summary:        %{theme_name} GNOME Shell theme
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, gnome-shell-extension-user-theme >= 3.14, google-droid-sans-fonts

%description -n gnome-shell-theme-%{name}
%{theme_name} GNOME Shell theme.


%package xfwm4-theme
Summary:        %{theme_name} Xfwm4 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}, xfwm4

%description xfwm4-theme
Themes for Xfwm4 as part of the %{theme_name} theme.


%prep
%setup -q -c -n %{name}_by_%{author}-%{tag}
%patch0

# Remove "Thumbs.db" files
find . -name Thumbs.db -type f -exec rm -f '{}' \;
# Fix end-of-line encoding of "README"
sed -i 's/\r//' README
# Fix text encoding of "README" 
iconv -f iso8859-1 -t utf-8 README > README.conv && mv -f README.conv README
# Remove "index.theme"
rm %{theme_name}/index.theme


%build
# Nothing to build


%install
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{theme_name}
cp -pr %{theme_name}/* %{buildroot}%{_datadir}/themes/%{theme_name}
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{theme_name}/gnome-shell
cp -pr %{shell_name}/gnome-shell/* %{buildroot}%{_datadir}/themes/%{theme_name}/gnome-shell


%files common
%doc COPYING README
%dir %{_datadir}/themes/%{theme_name}/


%files gtk2-theme
%{_datadir}/themes/%{theme_name}/gtk-2.0/


%files gtk3-theme
%{_datadir}/themes/%{theme_name}/gtk-3.0/


%files metacity-theme
%{_datadir}/themes/%{theme_name}/metacity-1/


%files -n gnome-shell-theme-%{name}
%{_datadir}/themes/%{theme_name}/gnome-shell/


%files xfwm4-theme
%{_datadir}/themes/%{theme_name}/xfwm4/


%changelog
* Fri Mar 13 2015 Heiko Adams <heiko.adams@gmail.com> - 20150313-1
- Initial package
